package com.smartvault.rest;

/**
 * Created on 4/16/2015.
 */

import com.sun.jndi.toolkit.url.Uri;

public class PublicClientCfg extends ServerCfgBase{
    private String clientId;
    private Uri rootUri;

    public PublicClientCfg(String clientId)
    {
        super();
        this.clientId = clientId;
    }

    public PublicClientCfg(Uri rootUri, String clientId)
    {
        super();
        this.clientId = clientId;
        this.rootUri = rootUri;
    }

    public PublicClientCfg(String clientId, ServerCfgBase cfg)
    {
        super(cfg);
        this.clientId = clientId;
    }

    public String getClientId()
    {
        return this.clientId;
    }
}
